package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.util.Date;

/**
 * 库存上报基本信息数据子集(可选)(WarehouseStockApplyInfo)表实体类
 *
 * @author makejava
 * @since 2025-06-10 12:39:23
 */
@SuppressWarnings("serial")
@Data
public class WarehouseStockApplyInfo extends Model<WarehouseStockApplyInfo> {
    //主键ID
    private Long id;
    //事件流水号
    private String eventId;
    //事件响应时间
    private Date recTime;
    //药品通用名称
    private String yptymc;
    //国家药品标识码
    private String gjypbsm;
    //药品生产批号
    private String ypscph;
    //药品生产日期
    private Date ypscrq;
    //药品有效期截止日期
    private Date ypyxqjzrq;
    //库存制剂数量
    private Integer kcsl;
    //实际库存数量
    private Integer sjkcsl;
    //批准文号
    private String yppzwh;
    //药品上市许可持有人代码
    private String ypssxkcyrdm;
    //药品上市许可持有人
    private String ypssxkcyrmc;
    //药品生产企业统一社会信用代码
    private String ypscqydm;
    //药品生产企业名称
    private String ypscqymc;
    //剂型
    private String jx;
    //包装规格
    private String bzgg;
    //制剂规格
    private String zjgg;
    //包装转换比
    private Double bzzhb;
    //包装转换比单位
    private String bzzhbdw;
    //药品注册分类
    private String ypzcfl;
    //特殊药品管理分类
    private String tsypglfl;
    //统一社会信用代码（库存单位）
    private String tyshxydmkcdw;
    //库存单位编码(库存单位)
    private String kcdwjzdwbm;
    //库存统计时间
    private Date kctjsj;
    //库存地址
    private String ckdz;
    //库存单位名称
    private String kcdwmc;
    //库存单位类型
    private String kcdwlx;
    //库存单位类型小类
    private String kcdwlxxl;
    //创建时间
    private Date createTime;
    //更新时间
    private Date updateTime;
    //是否删除(0-否 1-是)
    private Integer isDeleted;

}

